PAM_MISC_DROP_ENV(3)

NAME
pam_misc_drop_env - liberating a locally saved environment

SYNOPSIS

#include <security/pam_misc.h>

int pam_misc_drop_env(char **env);

DESCRIPTION

This function is defined to complement the pam_getenvlist(3) function. It liberates the memory associated with env, overwriting with 0 all memory before free()ing it.

SEE ALSO

pam_getenvlist(3), pam(8)

STANDARDS

The pam_misc_drop_env function is part of the libpam_misc Library and not defined in any standard.